Status of v6.3, and maybe 6.4 ??

Jouni Malinen j at w1.fi
Sat Apr 5 13:59:24 EDT 2008


On Thu, Apr 03, 2008 at 02:06:58PM -0400, tmm wrote:
> I'm just trying to decide which version of wpa_supplicant to start from 
> (5.10, 6.3, or maybe 6.4), so I'm wondering whether anyone knows 
> approximately when v6.4 will be coming and if it might be a stable 
> version.  I see that the 2.x versions became stable at 2.4, but that 
> since then stability hasn't come till the .7 versions.

There are no exact plans for new 0.6.x releases or for the devel/stable
status change of 0.6 branch (but the next 0.6.4 is not going to be start
of "stable branch").

On Thu, Apr 03, 2008 at 02:29:36PM -0400, Tom Malcolmson wrote:
> I want to port the supplicant to an eCos based system, and I want to use
> the 'internal' TLS/crypto library because of its small size.

I would not suggest using anything older than 0.6.3 for the internal
TLS/crypto code regardless of the branch devel/stable status since the
old (0.5.x) versions of the internal TLS code are not complete.
Normally, it would be easier to do OS ports from a stable branch, but in
this case, I would certainly recommend using the current 0.6.x branch
(e.g., try to follow the git repository head). There are no plans for
larger changes in the 0.6.x branch anymore, so even though it has not
been declared "stable", it should be in relatively good shape for this
type of porting work.

-- 
Jouni Malinen                                            PGP id EFC895FA


More information about the HostAP mailing list